# Generated by Django 4.0.3 on 2022-03-27 06:56

import uuid

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0006_rename_uid_bankaccount_uuid"),
    ]

    operations = [
        migrations.AlterField(
            model_name="bankaccount",
            name="account_number",
            field=models.CharField(
                max_length=20,
                validators=[
                    django.core.validators.RegexValidator(
                        "\\d{20}", message="Ensure that there are 20 digits in total."
                    )
                ],
            ),
        ),
        migrations.AlterField(
            model_name="bankaccount",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name="bankcard",
            name="name",
            field=models.CharField(
                max_length=26, validators=[django.core.validators.RegexValidator("[\\w\\.`\\'~-]+")]
            ),
        ),
        migrations.AlterField(
            model_name="bankcard",
            name="number",
            field=models.CharField(
                max_length=19, unique=True, validators=[django.core.validators.RegexValidator("\\d{13,19}")]
            ),
        ),
    ]
